- Qt 5.15
- Qt 3D
- C++ Classes
- QFrameAction
- Qt 5.15.18 Reference Documentation

# QFrameAction Class

class Qt3DLogic::QFrameAction

Provides a way to have a synchronous function executed each frame. More...

Header: | #include <QFrameAction>
qmake: | QT += 3dlogic
Since: | Qt 5.5
Instantiated By: | FrameAction
Inherits: | Qt3DCore::QComponent

This class was introduced in Qt 5.5.

- List of all members, including inherited members

## Signals

void | triggered(float dt)

## Detailed Description

The QFrameAction provides a way to perform tasks each frame in a synchronized way with the Qt3D backend. This is useful to implement some aspects of application logic and to prototype functionality that can later be folded into an additional Qt3D aspect.

For example, the QFrameAction can be used to animate a property in sync with the Qt3D engine where a Qt Quick animation element is not perfectly synchronized and may lead to stutters in some cases.

To execute your own code each frame connect to the QFrameAction::triggered signal.

## Member Function Documentation

### `[signal]` void QFrameAction::triggered(float dt)

This signal is emitted each frame with dt being the time (in seconds) since the last triggering.